Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package doc
  Definition Classes
    nsc
-  package model
  Definition Classes
    doc
-  package diagram
  Definition Classes
    model
- AbstractType
- AliasType
- Annotation
- BoundedTypeParamConstraint
- Class
- CommentFactory
- Constraint
- Constructor
- Def
- DocTemplateEntity
- Entity
- EqualTypeParamConstraint
- HigherKinded
- ImplicitConversion
- ImplicitInScopeConstraint
- ImplicitMemberShadowing
- IndexModelFactory
- KnownTypeClassConstraint
- LowerBoundedTypeParamConstraint
- MemberEntity
- MemberLookup
- MemberTemplateEntity
- ModelFactory
- ModelFactoryImplicitSupport
- ModelFactoryTypeSupport
- NoDocTemplate
- NonTemplateMemberEntity
- Object
- Package
- ParameterEntity
- PrivateInInstance
- PrivateInTemplate
- ProtectedInInstance
- ProtectedInTemplate
- Public
- RootPackage
- TemplateEntity
- Trait
- TreeEntity
- TreeFactory
- TypeClassConstraint
- TypeEntity
- TypeParam
- TypeParamConstraint
- UpperBoundedTypeParamConstraint
- Val
- ValueArgument
- ValueParam
- Visibility

t

scala.tools.nsc.doc.model

# Entity 

###
Companion object Entity

#### trait Entity extends AnyRef

An entity in a Scaladoc universe. Entities are declarations in the program and correspond to symbols in the compiler. Entities model the following Scala concepts:

- classes and traits;
- objects and package;
- constructors;
- methods;
- values, lazy values, and variables;
- abstract type members and type aliases;
- type and value parameters;
- annotations.

Source
  Entity.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
AbstractType, AliasType, Annotation, Class, Constructor, Def, DocTemplateEntity, MemberEntity, MemberTemplateEntity, DocTemplateImpl, EntityImpl, MemberImpl, MemberTemplateImpl, NoDocTemplateImpl, NonTemplateMemberImpl, NonTemplateParamMemberImpl, PackageImpl, RootPackageImpl, TemplateImpl, NoDocTemplate, NonTemplateMemberEntity, Object, Package, RootPackage, TemplateEntity, Trait, Val
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Entity
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def annotations: List[Annotation]

   The annotations attached to this entity, if any.

2.  abstract def inPackageObject: Boolean

   Whether or not the template was defined in a package object

3.  abstract def inTemplate: TemplateEntity

   The template of which this entity is a member.

4.  abstract def isType: Boolean

   Indicates whether this entity lives in the types namespace (classes, traits, abstract/alias types)

5.  abstract def kind: String

   The kind of the entity

6.  abstract def name: String

   The name of the entity.

   The name of the entity. Note that the name does not qualify this entity uniquely; use its `qualifiedName` instead.

7.  abstract def qualifiedName: String

   The qualified name of the entity.

   The qualified name of the entity. This is this entity's name preceded by the qualified name of the template of which this entity is a member. The qualified name is unique to this entity.

8.  abstract def toRoot: List[Entity]

   The list of entities such that each is a member of the entity that follows it; the first entity is always this entity, the last the root package entity.

9.  abstract def universe: Universe

   The Scaladoc universe of which this entity is a member.

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Entity to any2stringadd[Entity] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Entity, B)
   Implicit
     This member is added by an implicit conversion from Entity to ArrowAssoc[Entity] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def ensuring(cond: (Entity) ⇒ Boolean, msg: ⇒ Any): Entity
   Implicit
     This member is added by an implicit conversion from Entity to Ensuring[Entity] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (Entity) ⇒ Boolean): Entity
   Implicit
     This member is added by an implicit conversion from Entity to Ensuring[Entity] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: ⇒ Any): Entity
    Implicit
      This member is added by an implicit conversion from Entity to Ensuring[Entity] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): Entity
    Implicit
      This member is added by an implicit conversion from Entity to Ensuring[Entity] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Entity to StringFormat[Entity] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): java.lang.Class[_]
    Definition Classes
      AnyRef → Any
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
22.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
23.  def toString(): String

    The qualified name of this entity.

    The qualified name of this entity.

    Definition Classes
      Entity → AnyRef → Any
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
27.  def →[B](y: B): (Entity, B)
    Implicit
      This member is added by an implicit conversion from Entity to ArrowAssoc[Entity] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Entity to any2stringadd[Entity]

### Inherited by implicit conversion StringFormat from Entity to StringFormat[Entity]

### Inherited by implicit conversion Ensuring from Entity to Ensuring[Entity]

### Inherited by implicit conversion ArrowAssoc from Entity to ArrowAssoc[Entity]

### Ungrouped